locked
WEB API OR MVC API in VS2010 RRS feed

  • Question

  • User-1875449188 posted

    Hi,

    I have a development environment in VS2010. Now  we have requirement to create a WEB API OR MVC API project in our Solution which is running on .Net Framework 4.0.

    Can we create WEB API OR MVC API in VS2010 by using .Net 4.0 ? If yes ,what component we need to install in VS2010 ? If Not then we need to create this WEB API OR MVC API in .Net 4.5 framework in any other solution.

    Thursday, April 30, 2015 7:34 AM

Answers

  • User-257536521 posted

    The latest versions of Web API and MVC require .NET 4.5.1 or later. I recommend you just upgrade your .NET Framework version. You can then just install the corresponding NuGet packages for Web API or MVC to get going.

    If you must use .NET 4 you will have to use an older version of Web API or MVC.

    Daniel Roth

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, April 30, 2015 12:07 PM

All replies

  • User-257536521 posted

    The latest versions of Web API and MVC require .NET 4.5.1 or later. I recommend you just upgrade your .NET Framework version. You can then just install the corresponding NuGet packages for Web API or MVC to get going.

    If you must use .NET 4 you will have to use an older version of Web API or MVC.

    Daniel Roth

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Thursday, April 30, 2015 12:07 PM
  • User-1875449188 posted

    Hi Daniel,

    Thanks for the update . In your last line of reply, How i will use the older Web API or MVC API in .Net 4.  Do i need to install any component .

    Requesting you to please let me know if you have any forum(s) or document which describing how to use  older Web API or MVC API in .Net 4.

    Thanks

    Rajesh

     

    Thursday, April 30, 2015 12:55 PM